////////////////////////////////////////////////////////
//
// Shaders for nightmare xmas by JohnnyEnglish CMM
//
////////////////////////////////////////////////////////

textures/cmm_ko_xmas/clock1
{
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map textures/cmm_ko_xmas/clock1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

// Clock hands - made by picola 

textures/cmm_ko_xmas/clock2
{
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map textures/cmm_ko_xmas/clock2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

textures/cmm_ko_xmas/clock3
{
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map textures/cmm_ko_xmas/clock3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

// Green bulb

textures/cmm_ko_xmas/greenbulb
{
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3800
	q3map_lightimage textures/cmm_ko_xmas/green.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/cmm_ko_xmas/green.tga
	}
}

// Red bulb

textures/cmm_ko_xmas/redbulb
{
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3800
	q3map_lightimage textures/cmm_ko_xmas/red.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/cmm_ko_xmas/red.tga
	}
}

// Yellow bulb

textures/cmm_ko_xmas/yellowbulb
{
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3800
	q3map_lightimage textures/cmm_ko_xmas/yellow.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/cmm_ko_xmas/yellow.tga
	}
}

// Bulb white

textures/cmm_ko_xmas/whitebulb
{
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3800
	q3map_lightimage textures/cmm_ko_xmas/light1_blend.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/cmm_ko_xmas/light1_blend.tga
	}
}

textures/cmm_ko_xmas/thesky
{
	skyparms env/cmm_ko_xmas/sky 1024 -
	q3map_lightImage textures/cmm_ko_xmas/clouds.tga
	q3map_sunExt 1 1 1 140 -35 25 3 16
	q3map_skylight 600 3
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
	{
		map textures/cmm_ko_xmas/clouds.tga
   		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 3
		tcMod scroll 0.005 0.007	
	}
}

// Used to light the _skybox

textures/cmm_ko_xmas/thesky_light
{
	skyparms env/cmm_ko_xmas/sky 1024 -
	q3map_lightImage textures/cmm_ko_xmas/clouds.tga
	q3map_sunExt 1 1 1 140 -35 25 3 16
	q3map_skylight 500 3
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps
}

// Shader lights -- yellow one

textures/cmm_ko_xmas/light1
{
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cmm_ko_xmas/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cmm_ko_xmas/light1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// Red light (district)

textures/cmm_ko_xmas/lightred
{
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cmm_ko_xmas/lightred.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cmm_ko_xmas/lightred_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// Green light

textures/cmm_ko_xmas/lightgreen
{
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cmm_ko_xmas/lightgreen.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cmm_ko_xmas/lightgreen_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// The fence

textures/cmm_ko_xmas/fence
{
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map textures/cmm_ko_xmas/fence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

// Blood splatter 

textures/cmm_ko_xmas/decal_white
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
		map textures/cmm_ko_xmas/decal_white.tga
		blendfunc filter
	}
}

// The fallin angels pee

textures/cmm_ko_xmas/decal_grey
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
		map textures/cmm_ko_xmas/decal_grey.jpg
		blendfunc gl_dst_color gl_src_color
	}
}

textures/cmm_ko_xmas/glass1
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	cull none
	{
		map textures/cmm_ko_xmas/glass1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
	}
}


textures/cmm_ko_xmas/light1
{
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cmm_ko_xmas/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cmm_ko_xmas/light1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// inquey xmas tree shaders - candle and canes

models/mapobjects/cmm_ko_xmas/candlecane
{	
	qer_editorimage models/mapobjects/cmm_ko_xmas/candlecane.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	surfaceparm nodamage
	q3map_forcemeta
	{
		map models/mapobjects/cmm_ko_xmas/candlecane.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

// The snowy branches

models/mapobjects/cmm_ko_xmas/snowbranches
{	
	qer_editorimage models/mapobjects/cmm_ko_xmas/snowbranches.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	surfaceparm nodamage
	q3map_forcemeta
	{
		map models/mapobjects/cmm_ko_xmas/snowbranches.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

